summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-05-29 19:17:00 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-05-29 19:17:00 (GMT)
commitc96322a192159b81b4cda5e94c79c087bf49dfeb (patch)
tree44a5189bd357cc893e347117f30a2938b7937771
parentef7c855c840e4bb3e98c3bd636795ba0d366b02d (diff)
downloadlinhes_pkgbuild-c96322a192159b81b4cda5e94c79c087bf49dfeb.zip
linhes_pkgbuild-c96322a192159b81b4cda5e94c79c087bf49dfeb.tar.gz
linhes_pkgbuild-c96322a192159b81b4cda5e94c79c087bf49dfeb.tar.bz2
Updated to fuppes-svn.
-rw-r--r--abs/extra-testing/fuppes-svn/PKGBUILD39
-rw-r--r--abs/extra-testing/fuppes-svn/fuppes-r634-archlinux.patch93
2 files changed, 132 insertions, 0 deletions
diff --git a/abs/extra-testing/fuppes-svn/PKGBUILD b/abs/extra-testing/fuppes-svn/PKGBUILD
new file mode 100644
index 0000000..b019c6e
--- /dev/null
+++ b/abs/extra-testing/fuppes-svn/PKGBUILD
@@ -0,0 +1,39 @@
+# Contributor: Andrew Krawchyk <krawch_a@denison.edu>
+# patch for svn r634: Ivan Yurasov <vd@vdk.su>
+
+pkgname=fuppes-svn
+pkgver=634
+pkgrel=1
+pkgdesc="A free, multiplatform Universal Plug and Play A/V MediaServer"
+arch=('i686' 'x86_64')
+url="http://fuppes.ulrich-voelkel.de/"
+license=('GPL2')
+depends=('pcre' 'libxml2' 'sqlite3' 'gettext' 'taglib' 'imagemagick' 'ffmpeg' 'libmp4v2' 'lame' 'libvorbis' 'libmpcdec' 'flac' 'faad2' 'libmad')
+makdepends=('pkgconfig' 'autoconf' 'subversion')
+source=(fuppes-r634-archlinux.patch)
+md5sums=('5d9f6331cc91b64aab69449ce327b214')
+
+_svnmod="fuppes"
+_svntrunk="https://fuppes.svn.sourceforge.net/svnroot/fuppes/trunk"
+
+build()
+{
+ cd ${startdir}/src
+
+ msg "Getting sources..."
+ svn co ${_svntrunk} ${_svnmod}
+ msg "Done getting sources or failed to connect to server."
+
+ cd ${_svnmod}
+
+ patch -Np0 -i ../fuppes-r634-archlinux.patch
+ autoreconf -vfi
+
+ ./configure --prefix=/usr \
+ --enable-video-transcoding \
+ --disable-twolame || return 1
+
+ make || return 1
+ make DESTDIR=$startdir/pkg install || return 1
+}
+
diff --git a/abs/extra-testing/fuppes-svn/fuppes-r634-archlinux.patch b/abs/extra-testing/fuppes-svn/fuppes-r634-archlinux.patch
new file mode 100644
index 0000000..feaccfa
--- /dev/null
+++ b/abs/extra-testing/fuppes-svn/fuppes-r634-archlinux.patch
@@ -0,0 +1,93 @@
+Index: src/plugins/ffmpeg/ffmpeg.cpp
+===================================================================
+--- src/plugins/ffmpeg/ffmpeg.cpp (revision 634)
++++ src/plugins/ffmpeg/ffmpeg.cpp (working copy)
+@@ -2190,7 +2190,7 @@
+ p=NULL;
+ for(p = av_codec_next(p); p != NULL; p = av_codec_next(p) ) {
+ #else
+- for(p = first_avcodec; p != NULL; p = p->next) {
++ for(p = av_codec_next(NULL); p != NULL; p = p->next) {
+ #endif
+
+ if((p2==NULL || strcmp(p->name, p2->name)<0) &&
+@@ -2269,7 +2269,7 @@
+ }
+ avformat_opts = av_alloc_format_context();
+ #ifdef HAVE_LIBSWSCALE
+- sws_opts = sws_getContext(16,16,0, 16,16,0, sws_flags, NULL,NULL,NULL);
++ sws_opts = sws_getContext(16,16,(PixelFormat)0, 16,16,(PixelFormat)0, sws_flags, NULL,NULL,NULL);
+ #endif
+
+
+Index: src/plugins/ffmpeg/ffmpeg.h
+===================================================================
+--- src/plugins/ffmpeg/ffmpeg.h (revision 634)
++++ src/plugins/ffmpeg/ffmpeg.h (working copy)
+@@ -38,7 +38,7 @@
+ #include <ctype.h>
+ #include <string.h>
+
+-#if FFMPEG_VERSION >= 52 && !defined(OLD_INCLUDES_PATH)
++/* #if FFMPEG_VERSION >= 52 && !defined(OLD_INCLUDES_PATH) */
+ #include <libavformat/avformat.h>
+ #include <libavutil/avutil.h>
+ #include <libavutil/fifo.h>
+@@ -51,27 +51,27 @@
+ #ifdef HAVE_AVSTRING_H
+ #include <libavutil/avstring.h>
+ #endif
+-#else
++/* #else
+ #include <avformat.h>
+ #include <avutil.h>
+ #include <fifo.h>
+- #include <opt.h>
++ #include <opt.h> */
+
+
+ #ifdef HAVE_LIBSWSCALE
+- #include <swscale.h>
++ #include <libswscale/swscale.h>
+ #endif
+
+ #ifdef HAVE_AVSTRING_H
+- #include <avstring.h>
++ #include <libavutil/avstring.h>
+ #endif
+-#endif
++/* #endif */
+
+
+ #include <math.h>
+ #include <stdlib.h>
+ #include <limits.h>
+- //#include <mem.h>
++ //#include <mem.h>
+
+ }
+ #endif // __cplusplus
+Index: version.sh
+===================================================================
+--- version.sh (revision 634)
++++ version.sh (working copy)
+@@ -1,8 +1,15 @@
+ #!/bin/sh
+
+-svn_revision=`cd "$1" && LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
+-test $svn_revision || svn_revision=`cd "$1" && grep revision .svn/entries 2>/dev/null | cut -d '"' -f2`
+-test $svn_revision || svn_revision=`cd "$1" && sed -n -e '/^dir$/{n;p;q}' .svn/entries 2>/dev/null`
++if [ "$1" == "" ]
++then
++DIR="."
++else
++DIR="$1"
++fi
++
++svn_revision=`cd "$DIR" && LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
++test $svn_revision || svn_revision=`cd "$DIR" && grep revision .svn/entries 2>/dev/null | cut -d '"' -f2`
++test $svn_revision || svn_revision=`cd "$DIR" && sed -n -e '/^dir$/{n;p;q}' .svn/entries 2>/dev/null`
+ test $svn_revision || svn_revision=UNKNOWN
+
+ NEW_REVISION="#define FUPPES_VERSION \"0.$svn_revision\""
+